{ config, lib, ... }: {

  config = lib.mkIf (config.usercfg.wm == "Wayland") {
    services.kanshi = {
      enable = true;
      systemdTarget = "graphical-session.target";
      settings = [
        {
          profile.name = "tower_0";
          profile.outputs = [{
            criteria = "CEX CX133 0x00000001";
            mode = "1920x1200@59.972";
            position = "0,0";
            scale = 1.0;
            status = "enable";
          }];
        }
        {
          profile.name = "tower_1";
          profile.outputs = [{
            criteria = "AOC 16G3 1DDP7HA000348";
            mode = "1920x1080@144.000";
            position = "0,0";
            status = "enable";
            scale = 1.0;
            adaptiveSync = true;
          }];
        }
        {
          profile.name = "tower_2";
          profile.outputs = [
            {
              criteria = "AOC 16G3 1DDP7HA000348";
              mode = "1920x1080@144.000";
              position = "0,0";
              status = "enable";
              scale = 1.0;
              adaptiveSync = true;
            }
            {
              criteria = "CEX CX133 0x00000001";
              mode = "1920x1200@59.972";
              position = "0,1080";
              scale = 1.0;
              status = "enable";
            }
          ];
        }
        {
          profile.name = "laptop_0";
          profile.outputs = [{
            criteria = "LG Display 0x060A Unknown";
            mode = "1920x1080@60.020";
            position = "0,0";
            scale = 1.0;
            status = "enable";
          }];
        }
        {
          profile.name = "laptop_1";
          profile.outputs = [
            {
              criteria = "CEX CX133 0x00000001";
              mode = "2560x1600@59.972";
              position = "0,0";
              scale = 1.0;
              status = "enable";
            }
            {
              criteria = "LG Display 0x060A Unknown";
              mode = "1920x1080@60.020";
              position = "2560,0";
              scale = 1.0;
              status = "enable";
            }
          ];
        }
        {
          profile.name = "laptop_2";
          profile.outputs = [
            {
              criteria = "AOC 16G3 1DDP7HA000348";
              mode = "1920x1080@144.000";
              position = "0,0";
              status = "enable";
              scale = 1.0;
              adaptiveSync = true;
            }
            {
              criteria = "LG Display 0x060A Unknown";
              mode = "1920x1080@60.020";
              position = "1920,0";
              scale = 1.0;
              status = "enable";
            }
          ];
        }
      ];
    };
  };
}
